Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 91032

Summary: nxserver-personal fails to create user nx
Product: Gentoo Linux Reporter: Jaime Lopez <jaime.lopez>
Component: Current packagesAssignee: NX Server Herd <nx>
Status: VERIFIED TEST-REQUEST    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 76387    

Description Jaime Lopez 2005-05-01 02:55:03 UTC
The ebuild complains at an early stage about not being able to assign /usr/NX/bin/nxserver as the user shell.

The binary is created at a later step...

An easy workaround is to exec previously:
touch /usr/NX/bin/nxserver && chmod a+x /usr/NX/bin/nxserver

Reproducible: Always
Steps to Reproduce:
1.emerge -uDv nxserver-personal
2.
3.

Actual Results:  

Calculating dependencies ...done!
>>> emerge (1 of 1) net-misc/nxserver-personal-1.4.0-r2 to /
>>> md5 files   ;-) nxserver-personal-1.4.0-r1.ebuild
>>> md5 files   ;-) nxserver-personal-1.3.2.ebuild
>>> md5 files   ;-) nxserver-personal-1.4.0.ebuild
>>> md5 files   ;-) nxserver-personal-1.3.2-r1.ebuild
>>> md5 files   ;-) nxserver-personal-1.3.0-r2.ebuild
>>> md5 files   ;-) nxserver-personal-1.4.0-r2.ebuild
>>> md5 files   ;-) ChangeLog
>>> md5 files   ;-) metadata.xml
>>> md5 files   ;-) files/digest-nxserver-personal-1.3.2
>>> md5 files   ;-) files/digest-nxserver-personal-1.4.0
>>> md5 files   ;-) files/digest-nxserver-personal-1.3.0-r2
>>> md5 files   ;-) files/digest-nxserver-personal-1.3.2-r1
>>> md5 files   ;-) files/digest-nxserver-personal-1.4.0-r1
>>> md5 files   ;-) files/digest-nxserver-personal-1.4.0-r2
>>> md5 files   ;-) files/1.3.0/50nxserver
>>> md5 src_uri ;-) nxserver-1.4.0-107.i386.rpm
 * Adding user 'nx' for the NX server
 * Adding user 'nx' to your system ...
 *  - Userid: 106
 * A shell was specified but it does not exist !

!!! ERROR: net-misc/nxserver-personal-1.4.0-r2 failed.
!!! Function enewuser, Line 632, Exitcode 0
!!! /usr/NX/bin/nxserver does not exist
!!! If you need support, post the topmost build error, NOT this status message.


Expected Results:  
Calculating dependencies ...done!
>>> emerge (1 of 1) net-misc/nxserver-personal-1.4.0-r2 to /
>>> md5 files   ;-) nxserver-personal-1.4.0-r1.ebuild
>>> md5 files   ;-) nxserver-personal-1.3.2.ebuild
>>> md5 files   ;-) nxserver-personal-1.4.0.ebuild
>>> md5 files   ;-) nxserver-personal-1.3.2-r1.ebuild
>>> md5 files   ;-) nxserver-personal-1.3.0-r2.ebuild
>>> md5 files   ;-) nxserver-personal-1.4.0-r2.ebuild
>>> md5 files   ;-) ChangeLog
>>> md5 files   ;-) metadata.xml
>>> md5 files   ;-) files/digest-nxserver-personal-1.3.2
>>> md5 files   ;-) files/digest-nxserver-personal-1.4.0
>>> md5 files   ;-) files/digest-nxserver-personal-1.3.0-r2
>>> md5 files   ;-) files/digest-nxserver-personal-1.3.2-r1
>>> md5 files   ;-) files/digest-nxserver-personal-1.4.0-r1
>>> md5 files   ;-) files/digest-nxserver-personal-1.4.0-r2
>>> md5 files   ;-) files/1.3.0/50nxserver
>>> md5 src_uri ;-) nxserver-1.4.0-107.i386.rpm
 * Adding user 'nx' for the NX server
 * Adding user 'nx' to your system ...
 *  - Userid: 106
 *  - Shell: /usr/NX/bin/nxserver
 *  - Home: /usr/NX/home/nx
 *  - Groups: (none)
>>> Unpacking source...
>>> Unpacking nxserver-1.4.0-107.i386.rpm
>>> Source unpacked.
>>> Test phase [not enabled]: net-misc/nxserver-personal-1.4.0-r2

>>> Install nxserver-personal-1.4.0-r2 into
/var/tmp/portage/nxserver-personal-1.4.0-r2/image/ category net-misc
 * Installing
man:
prepallstrip:
strip: i686-pc-linux-gnu-strip --strip-unneeded
strip: i686-pc-linux-gnu-strip --strip-unneeded
   usr/NX/bin/nxkbd
   usr/NX/bin/nxserver
   usr/NX/bin/nxnode
   usr/NX/bin/nxspool
   usr/NX/bin/nxuexec
   usr/NX/lib/perl/Hostname.so
   usr/NX/lib/perl/SDBM_File.so
   usr/NX/lib/perl/IO.so
   usr/NX/lib/perl/MD5.so
   usr/NX/lib/perl/Fcntl.so
   usr/NX/lib/perl/Socket.so
   usr/NX/lib/perl/libperl.so
   usr/NX/lib/perl/SysV.so
   usr/NX/lib/perl/Syslog.so
   usr/NX/lib/perl/Resource.so
   usr/NX/lib/perl/POSIX.so
   usr/NX/lib/libXext.so.6.4
   usr/NX/lib/libXcompext.so.1.4.0

.......

Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.4.20041102-r1, 2.6.10-gentoo-r6 i686)
=================================================================
System uname: 2.6.10-gentoo-r6 i686 Intel(R) Pentium(R) 4 CPU 2.53GHz
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.2.3-r5,dev-lang/python-2.3.5 [2.3.5 (#1,
Apr 30 2005, 08:22:19)]
distcc 2.16 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.2.3-r5, 2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.4
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config
/usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown
/usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref
/usr/share/config /usr/share/texmf/dvipdfm/config/
/usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/
/usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig buildpkg ccache distcc distlocks sandbox sfperms
strict"
GENTOO_MIRRORS="http://linuv.uv.es/mirror/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.be.gentoo.org/gentoo-portage"
USE="x86 16bit S3TC X X509 Xaw3d a52 aac aalib acpi acpi4linux alsa aotuv
apache2 apm arts asm audiofile avi bash-completion bcmath berkdb bidi
bitmap-fonts bluetooth bonobo bootsplash bzlib ccache cdda cddb cdio cdparanoia
cdr cdrom clanJavaScript clanVoice cle266 codecs cpdflib crypt cscope css ctype
cups curl curlwrappers dba dbase dedicated dga dio directfb divx4linux dpms dts
dv dvd dvdr dvdread dxr3 edl eds emboss encode esd evo exif faad fam fame
fastcgi fb fbcon ffmpeg fftw firebird flac flash flatfile fluidsynth font-server
foomaticdb fortran freetds freetype ftp gatos gb gcj gd gdbm ggi gif gimp
gimpprint glade glut gmail gnome gnomedb gnuplot gphoto2 gpm gps gstreamer gtk
gtk2 gtkhtml guile hal httpd icq idea ieee1394 image imagemagick imap imlib
imlib2 inifile ipv6 irc irda irmc j2ee jabber jack jack-tmpfs java javacomm
javadoc javamail javascript jboss jce jikes joystick jpeg js junit jython kde
ladcca ladspa lcd lcms ldap libcaca libg++ libwww lirc live lm_sensors
lufsusermount lzo lzw mad matroska matrox mbox mbrola mcal mdb mikmod ming mixer
mjpeg mmx mmx2 mng monkey mono motif mozcalendar mozdevelop mozilla mozp3p
mozsvg mozxmlterm mp3 mpeg mpeg4 mpi mplayer mpm-leader mpm-metux mpm-peruser
mpm-prefork mpm-threadpool mpm-worker msn mssql music mysql mysqli mythtv nas
ncurses network nls nptl nvidia oav oci8 odbc offensive ofx ogg oggvorbis
oldworld openal opengl opens opie oracle orathreads oscar oss pam pcmcia pcre
pda pdflib pear-db perl php physfs png pnp posix postgres ppds pvm python
qemu-fast qhull qt quicktime radeon rage128 readline real regexp rtc ruby samba
sdk sdl servlet-2.3 servlet-2.4 session shared sharedmem simplexml slang slp
smartcard snmp soap sockets socks5 softmmu sounds soundtouch sox speedo speex
spell spl sql sqlite sqlite3 sse sse2 ssl startup-notification stencil-buffer
stream streamzap stroke struts svg svga sysvipc szip t1lib tcltk tcpd tetex tga
threads tidy tiff timidity tokenizer transcode transparent-proxy truetype
truetype-fonts type1-fonts unicode usb utf8 v4l v4l2 videos vidix vim-pager vlm
vnc vorbis wma123 wmf wxwin wxwindows x11vnc xanim xchattext xine xinerama xml
xml2 xmlrpc xmms xosd xpm xprint xrandr xsl xslt xv xvid xvmc yahoo yv12 zeo
zlib zvbi video_cards_3dfx video_cards_gamma video_cards_i810 video_cards_i830
video_cards_matrox video_cards_rage128 video_cards_radeon video_cards_sis
video_cards_mach64 userland_GNU kernel_linux libc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 1 Stuart Herbert (RETIRED) gentoo-dev 2005-05-23 12:05:58 UTC
Hi,

This should now be fixed in Portage, and should be hitting your local rsync
mirror in about an hour.  Please test, and let me know how you get on.

Best regards,
Stu
Comment 2 Jaime Lopez 2005-05-26 22:49:53 UTC
Fixed!

Now works for me...